Bug 654252 - samba3x dependencies break ocsinventory dependencies
Summary: samba3x dependencies break ocsinventory dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ocsinventory
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL: http://forums.famillecollet.com/viewt...
Whiteboard:
Depends On: 520466 582756 609578 802546
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 10:39 UTC by Robert Townley
Modified: 2012-03-12 19:24 UTC (History)
3 users (show)

Fixed In Version: ocsinventory-1.3.3-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-11 21:56:11 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Townley 2010-11-17 10:39:59 UTC
Description of problem:
As reported in 582756 and 520466, packages that have dependencies on samba would not install when samba3x is installed. 

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.install ocsinventory
2.attempt to install samba3x to communicate with 2008R2
3.ocsinventory depends on samba, but it gets uninstalled.
  
Actual results:


Expected results:
packages that can use samba3x need to be updated to depend on either samba or samba3x?

Additional info:

Comment 1 Xavier Bachelot 2010-11-17 11:12:57 UTC
The bug is not really in ocsinventory, but rather in the samba3x package. It might however be worked around by replacing the 'Requires: samba-client' in ocsinventory-reports by 'Requires: /usr/bin/nmblookup' but this is a bit ugly. 'Conflicts:', especially when not used properly, is evil.

Comment 2 Remi Collet 2010-11-17 11:22:45 UTC
(In reply to comment #1)
> It
> might however be worked around by replacing the 'Requires: samba-client' in
> ocsinventory-reports by 'Requires: /usr/bin/nmblookup' 

This seems ok for me.

Comment 3 Remi Collet 2010-11-17 17:14:32 UTC
# yum resolvedep /usr/bin/nmblookup
0:samba-client-3.0.33-3.29.el5_5.1.i386

So ocsinventory will not force user to install samba3x

I think we could wait version 1.3.3 (in a few days) to fix this bug.

Comment 4 Fedora Update System 2010-11-24 18:50:56 UTC
ocsinventory-1.3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ocsinventory-1.3.3-1.el5

Comment 5 Fedora Update System 2010-11-25 20:28:27 UTC
ocsinventory-1.3.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ocsinventory'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ocsinventory-1.3.3-1.el5

Comment 6 Fedora Update System 2010-12-11 21:56:07 UTC
ocsinventory-1.3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.